Monitoring::Livestatus::Class(3pm)

NAME
Monitoring::Livestatus::Class - Object-Oriented interface for Monitoring::Livestatus

DESCRIPTION
This module is an object-oriented interface for Monitoring::Livestatus

The module is still in an early stage of development, there can be some api changes between releases.

REPOSITORY
    Git: http://github.com/rbo/Monitoring-Livestatus-Class

SYNOPSIS
    use Monitoring::Livestatus::Class;

    my $class = Monitoring::Livestatus::Class->new(
        peer => '/var/lib/nagios3/rw/livestatus.sock'
    );

    my $hosts = $class->table('hosts');
    my @data = $hosts->columns('display_name')->filter(
        { display_name => { '-or' => [qw/test_host_47 test_router_3/] } }
    )->hashref_array();
    print Dumper \@data;

ATTRIBUTES

  peer
Connection point to the status check_mk livestatus addon. This can be a unix domain or tcp socket.

Socket

    my $class = Monitoring::Livestatus::Class->new(
        peer => '/var/lib/nagios3/rw/livestatus.sock'
    );

TCP Connection

    my $class = Monitoring::Livestatus::Class->new(
        peer => '192.168.1.1:2134'
    );

METHODS

  table_sources
Arguments: none

Returns: @list

Get a list of all table class names.

  table
Arguments: $table_name

Returns: $table_object

Returns a table object based on Monitoring::Livestatus::Class::Base::Table

INTERNAL METHODS

BUILD
    Initializes the internal Monitoring::Livestatus object.

TRACE
    Get the trace level

ENVIRONMENT VARIABLES

  MONITORING_LIVESTATUS_CLASS_TRACE
Print tracer output from this object.

  MONITORING_LIVESTATUS_CLASS_TEST_PEER
Set peer for live tests.

AUTHOR
Robert Bohne, "<rbo at cpan.org>"

CONTRIBUTORS
nierlein: Sven Nierlein <nierlein@cpan.org>

TODO:

•   Bettering the documentation

BUGS
Please report any bugs or feature requests to "bug-Monitoring-Livestatus-Class at rt.cpan.org", or through the web interface at <http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Monitoring-Livestatus-Class>.

SUPPORT
You can find documentation for this module with the perldoc command.

    perldoc Monitoring::Livestatus::Class

You can also look for information at:

•   RT: CPAN's request tracker

    <http://rt.cpan.org/NoAuth/Bugs.html?Dist=Monitoring-Livestatus-Class>

•   AnnoCPAN: Annotated CPAN documentation

    <http://annocpan.org/dist/Monitoring-Livestatus-Class>

•   CPAN Ratings

    <http://cpanratings.perl.org/d/Monitoring-Livestatus-Class>

•   Search CPAN

    <http://search.cpan.org/dist/Monitoring-Livestatus-Class/>

COPYRIGHT & LICENSE
Copyright 2009 Robert Bohne.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.